Name:           perl-MIME-tools
Version:        5.420
Release:        2%{?dist}
Summary:        Modules for parsing and creating MIME entities in Perl
Group:          Development/Libraries
License:        Artistic or GPL
URL:            http://search.cpan.org/dist/MIME-tools/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DS/DSKOLL/MIME-tools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(IO::Stringy)       >= 1.211
BuildRequires:  perl(MIME::Base64)      >= 2.20
BuildRequires:  perl-MailTools          >= 1.50
BuildRequires:  perl(MIME::QuotedPrint)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing, decoding, and
generating single- or multipart (even nested multipart) MIME messages.

Yes, kids, that means you can send messages with attached GIF files.

%prep
%setup -q -n MIME-tools-%{version}

# Fix character encoding
/usr/bin/iconv -f iso-8859-1 -t utf-8 ChangeLog > ChangeLog.utf8
%{__mv} ChangeLog.utf8 ChangeLog

# Remove redundant provides
%global provfilt /bin/sh -c "%{__perl_provides} | %{__grep} -Fvx 'perl(main)'"
%define __perl_provides %{provfilt}

# The more useful examples will go in %{_bindir}
%{__mkdir} useful-examples
%{__mv} examples/mime{dump,encode,explode,postcard,send} useful-examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type d -depth -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

# Put the more useful examples in %{_bindir}
%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -d -m 755 %{buildroot}%{_mandir}/man1
cd useful-examples
for ex in mime*
do
  %{__install} -p -m 755 ${ex} %{buildroot}%{_bindir}/
  /usr/bin/pod2man ${ex} > %{buildroot}%{_mandir}/man1/${ex}.1
done
cd -

%check
if %{__perl} -e "use MIME::QuotedPrint 3.03" 2>/dev/null; then
  %{__make} test
else
  # Expected failures: 4, 5 and 7-11 of t/Misc.t
  %{__make} test || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README* COPYING ChangeLog
# Adding examples introduces additional deps, but these are all satisfied by
# perl, perl-MIME-tools, and perl-MailTools, which are all deps anyway.
%doc examples
%{perl_vendorlib}/MIME/
%{_bindir}/mime*
%{_mandir}/man1/mime*.1*
%{_mandir}/man3/MIME::*.3pm*

%changelog
* Tue Aug  8 2006 Paul Howarth <paul@city-fan.org> 5.420-2
- Install the more useful examples in %%{_bindir} (#201691)

* Wed Apr 19 2006 Paul Howarth <paul@city-fan.org> - 5.420-1
- 5.420
- Cosmetic changes reflecting new maintainer's preferences
- Examples remain executable since they don't introduce new dependencies
- Simplify provides filter

* Mon Jan 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 5.419-1
- 5.419.
- Don't provide perl(main).

* Tue Oct  4 2005 Paul Howarth <paul@city-fan.org> - 5.418-2
- License is same as perl (GPL or Artistic), not just Artistic

* Mon Oct  3 2005 Ville Skyttä <ville.skytta at iki.fi> - 5.418-1
- 5.418.
- Cosmetic specfile cleanups.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 5.417-2
- rebuilt

* Sat Jan 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:5.417-1
- Update to 5.417.

* Wed Jan  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:5.416-0.fdr.1
- Update to 5.416.

* Thu Oct 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.415-0.fdr.1
- Update to 5.415.

* Thu Oct  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.414-0.fdr.1
- Update to 5.414.

* Wed Sep 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.413-0.fdr.1
- Update to 5.413, includes the mimedefang patches.
- Bring up to date with current fedora.us Perl spec template.

* Sat Feb  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.411-0.fdr.6.a
- Install into vendor dirs.
- BuildRequire perl-MailTools (bug 373).

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.5.a
- Hopefully fixed BuildRequires (for make test)
- rm-ing perllocal.pod instead of excluding it

* Sat Jul 12 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.4.a
- Package is now noarch

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.3.a
- Changed Group tag value
- make test in build section
- Added missing directory

* Wed Jun 25 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.2.a
- Now using roaringpenguin tarball

* Sun Jun 15 2003 Dams <anvil[AT]livna.org>
- Initial build.
